/**
 * A physical coffee-machine
 */
public class CoffeeMachine
{
	/**
	 * Make a cup of coffee
	 */
	public void makeCoffee(String brand)
	{
		System.out.println("Started making coffee of brand " + brand);
		
		try
		{
			Thread.sleep(30000);
			System.out.println("*** BING! Coffee of brand " + brand + " done! ***");
		}
		catch(InterruptedException e)
		{
			System.err.println("Interrupted while making Coffee");
		}
	}
}
